#include "system_defines.h"
#include "Cyclone_Device.h"
#include "pmbus_commands.h"
#include "variables.h"
//#include "function_definitions.h"
#include "software_interrupts.h"
#include "pmbus_common.h"
#include "pmbus_topology.h"
#include "pmbus_constants.h"



const Uint8 status_bit_mask[]    = STATUS_BIT_MASK;


/***********************************************************************
 *Start of MFR message
 ***********************************************************************/
const Uint8 setup_id[]          = SETUP_ID;
const Uint8 mfr_model[]			= MFR_MODEL;
const Uint8 mfr_revision[]		= MFR_REVISION;
const Uint8 mfr_date[]			= MFR_DATE;
const Uint8 mfr_location[]		= MFR_LOCATION;
const Uint8 mfr_serial[]		= MFR_SERIAL;
const Uint8 mfr_ic_device[]		= MFR_IC_DEVICE;
const Uint8 mfr_ic_device_rev[]	= MFR_IC_DEVICE_REV;
const Uint8 mfr_id[]			= MFR_ID;

#pragma DATA_SECTION (device_id_string, "FixedDeviceID");
const Uint8  device_id_string[] = DEVICE_ID;


/**************************************
 * Start of Vout command
 **************************************/
Uint8 pmbus_read_write_vout_mode(Uint8 pmbus_read)
{
		return 0;
}



Uint8 pmbus_read_write_vout_transition_rate(Uint8 pmbus_read)
{
	return 0;
}

//==========================================================================================
//pmbus_write_vout_cmd
//pmbus_read_vout_cmd
//==========================================================================================

Uint8 pmbus_read_write_vout_command(Uint8 pmbus_read)
{
	return 0;
}

/**********************
 * End of vout command
 *********************/

/***********************
 * Start of fault command
 **********************/

Uint8 pmbus_read_write_clear_faults(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_vout_ov_fault_limit(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_vout_ov_warn_limit(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_vout_uv_fault_limit(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_vout_uv_warn_limit(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_iout_oc_fault_limit(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_iout_oc_warn_limit(Uint8 pmbus_read)
{
	return 0;
}




Uint8 pmbus_read_write_temp_ot_fault_limit(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_temp_ot_warn_limit(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_vin_ov_fault_limit(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_vin_ov_warn_limit(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_vin_uv_fault_limit(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_vin_uv_warn_limit(Uint8 pmbus_read)
{
	return 0;
}

Uint8 pmbus_read_write_iin_oc_fault_limit(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_iin_oc_warn_limit(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_pgood_on_limit(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_pgood_off_limit(Uint8 pmbus_read)
{
	return 0;
}

/*************************************
 * End of fault command
 *************************************/


/*************************************
 * Start of Vout sequence command
 ************************************/



Uint8 pmbus_read_write_ton_rise(Uint8 pmbus_read)
{
	return 0;
}

/*******************************************
 * End of vout sequence command
 *******************************************/


/*******************************************
 * Start of read param command
 ******************************************/
#define max(a,b)					(((a)>(b)) ? (a):(b))

//==========================================================================================
// pmbus_read_vout()
//==========================================================================================


Uint8 pmbus_read_write_vout(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_vin(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_iout(Uint8 pmbus_read)
{
	return 0;
}

Uint8 pmbus_read_write_temp_mosfet(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_temp_device(Uint8 pmbus_read)
{
	return 0;
}

Uint8 pmbus_read_write_frequency(Uint8 pmbus_read)
{
	return 0;
}
/*************************************************
 * End of read param command
 *************************************************/

/**************************************************
 * Start of Communication, Memory, and Logic fault
 **************************************************/


Uint8 pmbus_read_write_restore_default_all(Uint8 pmbus_read)
{
	return 0;
}



//==========================================================================================
// pmbus_write_store_default_all()
//	Store all PMBus-configurable variables from RAM to Data Flash.
//==========================================================================================

/**************************************************
 * End of Communication, Memory, and Logic fault
 **************************************************/

/**************************************************
 * Start of specific command
 **************************************************/


Uint8 pmbus_read_write_deadband_config(Uint8 pmbus_read)
{
	return 0;
}


Uint8 pmbus_read_write_mode_switching_config(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_light_load_config(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_cpcc_config(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_vff_config(Uint8 pmbus_read)
{
	return 0;
}




Uint8 pmbus_read_write_blank_config(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_ide_config(Uint8 pmbus_read)
{
	return 0;
}
/**************************************************
 * End of specific command
 **************************************************/

/**************************************************
 * Start of pmbus status command
 **************************************************/


Uint8 pmbus_read_write_status_bit_mask(Uint8 pmbus_read)
{
	return 0;
}

Uint8 pmbus_read_write_status_byte(Uint8 pmbus_read)
{
	return 0;
}
Uint8 pmbus_read_write_status_word(Uint8 pmbus_read)
{
	return 0;
}
/**************************************************
 * End of pmbus status command
 **************************************************/

/***************************************************
 * Start of other commands
 ***************************************************/
//==========================================================================================



Uint8 pmbus_read_write_vin_on_limit(Uint8 pmbus_read)
{
	return 0;
}


//==========================================================================================


Uint8 pmbus_read_write_vin_off_limit(Uint8 pmbus_read)
{
	return 0;
}



Uint8 pmbus_read_write_frequency_switch(Uint8 pmbus_read)
{
	return 0;
}
/***************************************************
 * End of other commands
 ***************************************************/
